Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Dmitry Gutov <[email-masked]>
Date: Thu, 19 Nov 2015 19:46:58 +0200

On 11/19/2015 07:37 PM, John Wiegley wrote:

> If that's the case, I'm willing to filter those from the final count before
> closing this issue. Then, in 25.2, we can focus on eliminating those as well.

Is anything going to change for these packages after the 25.1 release?

>> We _should_ be able to take care of CEDET warnings, but probably after their
>> development migrates here.
>
> That's good to hear; but can that happen for 25.1? CEDET is rather egregious
> in the warnings category right now.

Many of those can be fixed semi-mechanically, by removing colons from 
the keyword names. That should be deferred until after the transition, 
though, in order not to cause needless merge conflicts.